
from lib.config import Distance, Angle, Unit, AngleVelocity

def convert_ros(val):

    if isinstance(val, Distance):
        return val.as_m()
    elif isinstance(val, Angle):
        return val.as_radians()
    elif isinstance(val, AngleVelocity):
        return val.as_radians_s()
    elif isinstance(val, Unit):
        raise Exception("Don't now how to convert unit for ros", val)
    elif isinstance(val, (list,tuple)):
        res = list()
        for item in val:
            res.append( convert_ros( item))
        return res
    else:
        return val


def convert_scad(val):
    """ converts data into scad format, especially Units """
    if isinstance(val, Distance):
        return val.as_mm()
    elif isinstance(val, Angle):
        return val.as_degrees()
    elif isinstance(val, Unit):
        return float(val)
    elif isinstance(val, (list, tuple)):
        res = list()
        for item in val:
            res.append(convert_scad(item))
        return res
    else:
        return val
